ZIPL-SWITCH-TO-BLSCFG(1)

NAME
zipl-switch-to-blscfg - Switch zipl to use BootLoaderSpec configuration

SYNOPSIS
zipl-switch-to-blscfg [OPTIONS]
zipl-switch-to-blscfg {-h|-v}

DESCRIPTION
This script switches the zipl boot-loader configuration to use BootLoaderSpec files to define IPL sections. For each Linux kernel defined in the zipl.conf config file, a BLS fragment is generated in the BLS directory specified. Also, the zipl.conf is modified it only contains global configurations, all IPL sections comes from BLS.

OPTIONS

-h, --help
    Print this help and exit

-v, --version
    Print version information and exit

--backup-suffix <SUFFIX>
    The suffix used for backup files, defaults to .bak.

--bls-directory <DIRECTORY>
    The DIRECTORY where the BLS fragments will be generated. The directory is created if it doesn't exists, by default /boot/loader/entries is used.

--config-file <FILE>
    The FILE used for zipl configuration file, defaults to /etc/zipl.conf.

--ignore-default
    Ignore the default option from the zipl configuration file

--use-version-name
    Use the section kernel version as the BLS file name